package com.hai.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * cms_patch
 * @author 
 */

/**
 * 
 * 代码由工具生成
 * 
 **/
public class CmsPatch implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 内容ID
     */
    private Long contentId;

    /**
     * 附件名称
     */
    private String patchName;

    /**
     * 附件描述
     */
    private String patchDesc;

    /**
     * 附件类型：1.图片，2.音乐，3.视频，4.文档 5其他
     */
    private Integer patchType;

    /**
     * 附件路径
     */
    private String patchPath;

    /**
     * 视频真实路径
     */
    private String videoPath;

    /**
     * 来源：1：本地上传，2：外部链接
     */
    private Integer source;

    /**
     * 资源排序
     */
    private Integer sort;

    /**
     * 添加时间
     */
    private Date addTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getContentId() {
        return contentId;
    }

    public void setContentId(Long contentId) {
        this.contentId = contentId;
    }

    public String getPatchName() {
        return patchName;
    }

    public void setPatchName(String patchName) {
        this.patchName = patchName;
    }

    public String getPatchDesc() {
        return patchDesc;
    }

    public void setPatchDesc(String patchDesc) {
        this.patchDesc = patchDesc;
    }

    public Integer getPatchType() {
        return patchType;
    }

    public void setPatchType(Integer patchType) {
        this.patchType = patchType;
    }

    public String getPatchPath() {
        return patchPath;
    }

    public void setPatchPath(String patchPath) {
        this.patchPath = patchPath;
    }

    public String getVideoPath() {
        return videoPath;
    }

    public void setVideoPath(String videoPath) {
        this.videoPath = videoPath;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        CmsPatch other = (CmsPatch) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getContentId() == null ? other.getContentId() == null : this.getContentId().equals(other.getContentId()))
            && (this.getPatchName() == null ? other.getPatchName() == null : this.getPatchName().equals(other.getPatchName()))
            && (this.getPatchDesc() == null ? other.getPatchDesc() == null : this.getPatchDesc().equals(other.getPatchDesc()))
            && (this.getPatchType() == null ? other.getPatchType() == null : this.getPatchType().equals(other.getPatchType()))
            && (this.getPatchPath() == null ? other.getPatchPath() == null : this.getPatchPath().equals(other.getPatchPath()))
            && (this.getVideoPath() == null ? other.getVideoPath() == null : this.getVideoPath().equals(other.getVideoPath()))
            && (this.getSource() == null ? other.getSource() == null : this.getSource().equals(other.getSource()))
            && (this.getSort() == null ? other.getSort() == null : this.getSort().equals(other.getSort()))
            && (this.getAddTime() == null ? other.getAddTime() == null : this.getAddTime().equals(other.getAddTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getContentId() == null) ? 0 : getContentId().hashCode());
        result = prime * result + ((getPatchName() == null) ? 0 : getPatchName().hashCode());
        result = prime * result + ((getPatchDesc() == null) ? 0 : getPatchDesc().hashCode());
        result = prime * result + ((getPatchType() == null) ? 0 : getPatchType().hashCode());
        result = prime * result + ((getPatchPath() == null) ? 0 : getPatchPath().hashCode());
        result = prime * result + ((getVideoPath() == null) ? 0 : getVideoPath().hashCode());
        result = prime * result + ((getSource() == null) ? 0 : getSource().hashCode());
        result = prime * result + ((getSort() == null) ? 0 : getSort().hashCode());
        result = prime * result + ((getAddTime() == null) ? 0 : getAddTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", contentId=").append(contentId);
        sb.append(", patchName=").append(patchName);
        sb.append(", patchDesc=").append(patchDesc);
        sb.append(", patchType=").append(patchType);
        sb.append(", patchPath=").append(patchPath);
        sb.append(", videoPath=").append(videoPath);
        sb.append(", source=").append(source);
        sb.append(", sort=").append(sort);
        sb.append(", addTime=").append(addTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
